Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.resources.servicecore
Class LeaseListenerAdapter

    java.lang.Object
      org.jini.rio.resources.servicecore.LeaseListenerAdapter

All Implemented Interfaces:
  LeaseListener

    public class LeaseListenerAdapter

extends Object
implements LeaseListener

This class provides an adapter for LeaseListener methods. The methods in this class are empty; this class is provided as a convenience for easily creating listeners by extending this class and overriding only the methods of interest.

Constructor Summary
`LeaseListenerAdapter()`

Method Summary
`void` | `expired(LeasedResource resource)` Notifies the manager of a lease expiration
`void` | `register(LeasedResource resource)` Notifies the manager of a new lease being created.
`void` | `removed(LeasedResource resource)` Notifies the manager of a lease removal
`void` | `renewed(LeasedResource resource)` Notifies the manager of a lease renewel

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LeaseListenerAdapter

    public LeaseListenerAdapter()

Method Detail

### expired

    public void expired(LeasedResource resource)

  Description copied from interface: `LeaseListener`
  Notifies the manager of a lease expiration

  Specified by:
    `expired` in interface `LeaseListener`
  Parameters:
    `resource` - The resource associated with the expiration

### removed

    public void removed(LeasedResource resource)

  Description copied from interface: `LeaseListener`
  Notifies the manager of a lease removal

  Specified by:
    `removed` in interface `LeaseListener`
  Parameters:
    `resource` - The resource associated with the removal

### register

    public void register(LeasedResource resource)

  Description copied from interface: `LeaseListener`
  Notifies the manager of a new lease being created.

  Specified by:
    `register` in interface `LeaseListener`
  Parameters:
    `resource` - The resource associated with the new Lease.

### renewed

    public void renewed(LeasedResource resource)

  Description copied from interface: `LeaseListener`
  Notifies the manager of a lease renewel

  Specified by:
    `renewed` in interface `LeaseListener`
  Parameters:
    `resource` - The resource associated with the renewal

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.